@if (showLoader() && chaptersByVolume() === null) {
  <mat-spinner class="mx-auto" [diameter]="45"/>
}

<div class="volumes">
  @if (chaptersByVolume(); as chaptersByVolume) {
    @for (group of chaptersByVolume | keyvalue | orderBy: 'key':'desc'; track group.key) {
      <moe-volume-group [volumeNumber]="group.key" [chapters]="group.value"/>
    }
  }
</div>

@if (pageInfo(); as pageInfo) {
  <mat-paginator
    [pageIndex]="pageInfo.currentPage - 1"
    [pageSize]="PAGE_SIZE"
    [length]="pageInfo.totalItems"
    hidePageSize
    showFirstLastButtons
    (page)="onPageChange($event)"
  />
}
